\name{plot.testDiscreteDistribution}
\alias{plot.testDiscreteDistribution}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
%%  ~~function to do ... ~~
Plot objects of class "testDiscreteDistribution".
}
\description{
%%  ~~ A concise (1-5 lines) description of what the function does. ~~
Plot method of objects of class "testDiscreteDistribution" including a confidence interval for each observed frequency.
}
\usage{
plot.testDiscreteDistribution(testDiscreteDistributionObj, Nsim = 1000, Coverage = 0.95, Main = "", Sub = "")
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{testDiscreteDistributionObj}{
%%     ~~Describe \code{testDiscreteDistributionObj} here~~
An object of class testDiscreteDistribution"
}
  \item{Nsim}{
%%     ~~Describe \code{Nsim} here~~
Number of boostrap simulations for obtaining the confidence intervals for the observed frequencies.
}
  \item{Coverage}{
%%     ~~Describe \code{Coverage} here~~
Coverage of the confidence intervals for the observed frequencies.
}
  \item{Main}{
%%     ~~Describe \code{Main} here~~
Titel to the plot.
}
  \item{Sub}{
%%     ~~Describe \code{Sub} here~~
Sub-title to the plot.
}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
The exact confidence intervals to the observed frequencies are obtained by parametric bootstrap (based on the model passed via the testDiscreteDistribution object).
}
\value{
%%  ~Describe the value returned
%%  If it is a LIST, use
%%  \item{comp1 }{Description of 'comp1'}
%%  \item{comp2 }{Description of 'comp2'}
%% ...
...
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
%%  ~~who you are~~
Rodrigo Labouriau
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
scatterPlot.testDiscreteDistribution
}
\examples{
# An artificial example with a simple Poisson model
X <- rpois(n=100, lambda=10); Y <- rpois(n=100, lambda=20); Z <- c(X,Y)
A <- factor( c(rep("A",100), rep("B",100)) ); DD <- data.frame(X, A)
M <- glm(Z~A, family=poisson, data=DD)
TT <- testPoissonModel(Model=M)
# print(TT)
summary(TT)
# plot(TT, Sub=paste("P-value =", TT$Pvalue))
# plot(TT, Sub=paste("P-value =", TT$Pvalue), ScatterPlot=TRUE)

# An artificial example with a simple Poisson model with a random component
# X <- rpois(n=100, lambda=10); Y <- rpois(n=100, lambda=20); Z <- c(X,Y)
# A <- factor( c(rep("A",100), rep("B",100)) ); DD <- data.frame(X, A)
# B <- factor(rep(c("B1","B2"),100) )
# RD <- data.frame(X, A, B)
# library(lme4)
# RM <- glmer(Z~A + (1|B), family=poisson, data=RD)
# TT <- testPoissonModel(Model=RM)
# plot(TT, Sub=paste("P-value =", TT$Pvalue), Nsim=50)

# Example of negative binomial
# require(MASS)
# quine.nb1 <- glm.nb(Days ~ Sex/(Age + Eth*Lrn), data = quine)
# NB <- testNegativeBinomialModel(Model=quine.nb1)
# plot(NB, Sub=paste("P-value =", NB$Pvalue), Nsim=100)

# Fitting and testing a Poisson model with overdisparsion obtained via
# the introduction of a log-Gaussian random component
# require(lme4)
# D <- quine
# D$OverDispersion <- factor(1:length(D$Eth))
# quine.PoissonOD <- glmer(Days ~ Sex/(Age + Eth*Lrn) + (1|OverDispersion),
#                          family=poisson, data = D)
# PoissonOD <- testPoissonModel(Model=quine.PoissonOD)
# This takes a while ...
# plot(PoissonOD, Sub=paste("P-value =", NB$Pvalue), Nsim=10)
}
\keyword{ ~kwd1 }
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
