\name{testNegativeBinomialModel}
\alias{testNegativeBinomialModel}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
%%  ~~function to do ... ~~
Testing goodness of fit of a negative binomial distribution based model for counts
}
\description{
%%  ~~ A concise (1-5 lines) description of what the function does. ~~
Tests the goodness of fit of a negative binomial distribution based model for counts based on the predicted frequencies.
}
\usage{
testNegativeBinomialModel(Model, SupportIndex = NULL, Nsim = 10000)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{Model}{
%%     ~~Describe \code{Model} here~~
A model for counts obtained by a generalized linear model based on the negative binomial distribution fit using the function glm.nb of the package MASS (of class "neg.bin").
}
  \item{SupportIndex}{
%%     ~~Describe \code{SupportIndex} here~~
A set of indices indicating the part of the frequencies to be included in the test (the default is all the frequencies).
}
  \item{Nsim}{
%%     ~~Describe \code{Nsim} here~~
Number of simulations used to obtain the exact p-value of the chi-square test for goodness of fit.
}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
%%  ~Describe the value returned
%%  If it is a LIST, use
%%  \item{comp1 }{Description of 'comp1'}
%%  \item{comp2 }{Description of 'comp2'}
%% ...
Returns an object of class "testDiscreteDistribution" containing:
the exact bootstrap p-value, the observed frequencies, the expected frequencies an the model (used in some of the methods).
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
%%  ~~who you are~~
Rodrigo Labouriau
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
plot.testDiscreteDistribution, scatterPlot.testDiscreteDistribution, summary.testDiscreteDistribution, print.testDiscreteDistribution .
}
\examples{
# Example of negative binomial
require(MASS)
quine.nb1 <- glm.nb(Days ~ Sex/(Age + Eth*Lrn), data = quine)
NB <- testNegativeBinomialModel(Model=quine.nb1)
NB
summary(NB)
par(mfrow=c(2,1))
scatterPlot.testDiscreteDistribution(NB)
plot(NB, Sub=paste("P-value =", NB$Pvalue), Nsim=100)
par(mfrow=c(1,1))
}
\keyword{ ~kwd1 }
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
