\name{testPoissonDistribution}
\alias{testPoissonDistribution}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Tests adherence to a Poisson distribution
}
\description{
testPoissonDistribution tests whether the distribution of the vector Counts adhere to a Poisson distribution by comparing the
}
\usage{
testPoissonDistribution(Counts, lambda=mean(Counts), Nsim=9999)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{x}{a vector with counts}
  \item{lambda}{the hypothesed intensity parameter of the Poisson distribution (default = mean(Counts))}
  \item{Nsim}{the number of simulations used to the Monte Carlo chi-square test}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
Returns a p-value.
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
Rodrigo Labouriau
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
testPoissonModel
}
\examples{
testPoissonDistribution(rpois(20, 10))
testPoissonDistribution(floor(rnorm(20, mean = 3, sd = 0.1)))
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ Poisson-distribution }
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
