\name{scatterPlot.testDiscreteDistribution}
\alias{scatterPlot.testDiscreteDistribution}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Plots a scatter plot representing an object of class "testDiscreteDistribution"
%%  ~~function to do ... ~~
}
\description{
%%  ~~ A concise (1-5 lines) description of what the function does. ~~
Plots a scatter plot of the observed against the expected frequencies a model related to an object of class "testDiscreteDistribution".
}
\usage{
scatterPlot.testDiscreteDistribution(testDiscreteDistributionObj, Main = "", Sub = "")
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{testDiscreteDistributionObj}{
%%     ~~Describe \code{testDiscreteDistributionObj} here~~
An object of class "testDiscreteDistribution".
}
  \item{Main}{
%%     ~~Describe \code{Main} here~~
Title of the plot.
}
  \item{Sub}{
%%     ~~Describe \code{Sub} here~~
Sub-title of the plot.
}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
%%  ~Describe the value returned
%%  If it is a LIST, use
%%  \item{comp1 }{Description of 'comp1'}
%%  \item{comp2 }{Description of 'comp2'}
%% ...
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
%%  ~~who you are~~
Rodrigo Labouriau
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
plot.testDiscreteDistribution, summary.testDiscreteDistribution
}
\examples{
# An artificial example with a simple Poisson model
X <- rpois(n=100, lambda=10); Y <- rpois(n=100, lambda=20); Z <- c(X,Y)
A <- factor( c(rep("A",100), rep("B",100)) ); DD <- data.frame(X, A)
M <- glm(Z~A, family=poisson, data=DD)
TT <- testPoissonModel(Model=M)
par(mfrow=c(2,1))
plot(TT, Sub=paste("P-value =", TT$Pvalue))
scatterPlot.testDiscreteDistribution(TT, Sub=paste("P-value =", TT$Pvalue))
par(mfrow=c(1,1))

# An artificial example with a simple Poisson model with a random component
X <- rpois(n=100, lambda=10); Y <- rpois(n=100, lambda=20); Z <- c(X,Y)
A <- factor( c(rep("A",100), rep("B",100)) ); DD <- data.frame(X, A)
B <- factor(rep(c("B1","B2"),100) )
RD <- data.frame(X, A, B)
library(lme4)
RM <- glmer(Z~A + (1|B), family=poisson, data=RD)
TT <- testPoissonModel(Model=RM)
scatterPlot.testDiscreteDistribution(TT, Sub=paste("P-value =", TT$Pvalue))

# Example of negative binomial
require(MASS)
quine.nb1 <- glm.nb(Days ~ Sex/(Age + Eth*Lrn), data = quine)
NB <- testNegativeBinomialModel(Model=quine.nb1)
scatterPlot.testDiscreteDistribution(NB)
}
\keyword{ ~kwd1 }
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
